
QGIS Application - Feature request #3784

Switching between measure tools and other tools is annoying (with patch)

2011-04-28 09:42 AM - marisn -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 13842

Description

Select measure tool; Measure a line/area; Right click on canvas to finish measuring; Click on other tool (zoom, pan); Click on measure

tool; Left click on canvas -> it continues to measure from previous part instead of starting a new measurement as it happens without

changing tools.

This patch tries to fix this issue - switching tools after measuring has ended with single right click resets measurement tool.

Associated revisions

Revision af9203ac - 2011-04-29 02:12 AM - Jürgen Fischer

fix #3784

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15848 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 326d7a7d - 2011-04-29 02:12 AM - Jürgen Fischer

fix #3784

git-svn-id: http://svn.osgeo.org/qgis/trunk@15848 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-04-28 05:13 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

looks like not resetting the click status on activate is enough.  Fixed in commit:326d7a7d (SVN r15849).

Files

measure_tool_switch.patch 649 Bytes 2011-04-28 marisn -
